Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class PlannedShutdownSignalImpl

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.PlannedShutdownSignalImpl

All Implemented Interfaces:
  PlannedShutdownSignal, Signal

    public class PlannedShutdownSignalImpl

extends Object
implements PlannedShutdownSignal

Implementation of PlannedShutdownSignal.

Version:
  $Revision: 1.3 $
Author:
  Shreedhar Ganapathy Date: Feb 22, 2005

Field Summary
`protected static Logger` | `logger`

Constructor Summary
`PlannedShutdownSignalImpl(String memberToken, String groupName, long startTime, GMSConstants.shutdownType shutdownType)`

Method Summary
`void` | `acquire()` Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition
`GMSConstants.shutdownType` | `getEventSubType()` Planned shutdown events can be one of two types, Group Shutdown or Instance Shutdown.
`String` | `getGroupName()` returns the group to which the member involved in the Signal belonged to
`Map<Serializable,Serializable>` | `getMemberDetails()` returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details
`String` | `getMemberToken()` returns the identity token of the member that caused this signal to be generated.
`long` | `getStartTime()` returns the start time of the member involved in this Signal.
`void` | `release()` Signal is released after processing of the signal to bring the group resources to a state of availability

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Logger logger

Constructor Detail

### PlannedShutdownSignalImpl

    public PlannedShutdownSignalImpl(String memberToken,
                                     String groupName,
                                     long startTime,
                                     GMSConstants.shutdownType shutdownType)

Method Detail

### acquire

    public void acquire()
                 throws SignalAcquireException

  Signal is acquired prior to processing of the signal to protect group resources being acquired from being affected by a race condition

  Specified by:
    `acquire` in interface `Signal`
  Throws:
    `SignalAcquireException`

### release

    public void release()
                 throws SignalReleaseException

  Signal is released after processing of the signal to bring the group resources to a state of availability

  Specified by:
    `release` in interface `Signal`
  Throws:
    `SignalReleaseException`

### getMemberToken

    public String getMemberToken()

  Description copied from interface: `Signal`
  returns the identity token of the member that caused this signal to be generated. For instance, in the case of a MessageSignal, this member token would be the sender. In the case of a FailureNotificationSignal, this member token would be the failed member. In the case of a JoinNotificationSignal or GracefulShutdownSignal, the member token would be the member who joined or is being gracefully shutdown, respectively.

  Specified by:
    `getMemberToken` in interface `Signal`
  Returns:
    returns the identity token of the member

### getMemberDetails

    public Map<Serializable,Serializable> getMemberDetails()

  returns the details of the member who caused this Signal to be generated returns a Map containing key-value pairs constituting data pertaining to the member's details

  Specified by:
    `getMemberDetails` in interface `Signal`
  Returns:
    Map -

### getGroupName

    public String getGroupName()

  returns the group to which the member involved in the Signal belonged to

  Specified by:
    `getGroupName` in interface `Signal`
  Returns:
    String

### getStartTime

    public long getStartTime()

  Description copied from interface: `Signal`
  returns the start time of the member involved in this Signal.

  Specified by:
    `getStartTime` in interface `Signal`
  Returns:
    long - time stamp of when this member started

### getEventSubType

    public GMSConstants.shutdownType getEventSubType()

  Planned shutdown events can be one of two types, Group Shutdown or Instance Shutdown. These types are defined in an enum in the class GMSConstants.shutdownType

  Specified by:
    `getEventSubType` in interface `PlannedShutdownSignal`
  Returns:
    GMSConstants.shutdownType
  See Also:
    `GMSConstants`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.